#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kgeography
Summary:	kgeography
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	95fd21e4fb09877f99038d498075400e
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kitemviews-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-data = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KGeography is a geography learning tool, which allows you to learn
about the political divisions of some countries (divisions, capitals
of those divisions and their associated flags if there are some).

%description -l pl.UTF-8
KGeography to narzędzi do nauki geografii, które pozwala uczyć się
o podziałach administracyjnych różnych krajów, ich stolicach i flagach.

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kgeography

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%{_desktopdir}/org.kde.kgeography.desktop
%{_datadir}/config.kcfg/kgeography.kcfg
%{_iconsdir}/hicolor/128x128/apps/kgeography.png
%{_iconsdir}/hicolor/16x16/apps/kgeography.png
%{_iconsdir}/hicolor/22x22/apps/kgeography.png
%{_iconsdir}/hicolor/32x32/apps/kgeography.png
%{_iconsdir}/hicolor/48x48/apps/kgeography.png
%{_iconsdir}/hicolor/64x64/apps/kgeography.png
%{_iconsdir}/hicolor/scalable/apps/kgeography.svgz
%{_datadir}/kgeography
%{_datadir}/kxmlgui5/kgeography
#%{_localedir}/fi/LC_SCRIPTS/kgeography/kgeography.js
#%{_localedir}/fi/LC_SCRIPTS/kgeography/kgeography.pmap
#%{_localedir}/fi/LC_SCRIPTS/kgeography/kgeography.pmapc
#%{_localedir}/fr/LC_SCRIPTS/kgeography/kgeography.js
#%{_localedir}/ja/LC_SCRIPTS/kgeography/kgeography.js
#%{_localedir}/pl/LC_SCRIPTS/kgeography/general.pmap
#%{_localedir}/pl/LC_SCRIPTS/kgeography/general.pmapc
#%{_localedir}/pl/LC_SCRIPTS/kgeography/kgeography.js
#%{_localedir}/uk/LC_SCRIPTS/kgeography/general.pmap
#%{_localedir}/uk/LC_SCRIPTS/kgeography/general.pmapc
#%{_localedir}/uk/LC_SCRIPTS/kgeography/kgeography.js
%{_datadir}/metainfo/org.kde.kgeography.appdata.xml
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kgeography.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c0ad5af
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1f58dec
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 55e030e
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ea91501
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2f63479
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4d9242e
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2930e79
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> d175bf5
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f667c98
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7d5ed45
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 82fce56
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 849a362
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8bfbdb7
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 243b91d
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2845bf7
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d919649
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3e4d166
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 258d2f0
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5e10c17
- updated to 21.08.0

* Sat Jul 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fd8f5f6
- pl description

